package lightcontainer.domains.client;

import lightcontainer.storage.AppData;
import lightcontainer.storage.User;
import lightcontainer.utils.AES_GCM;

import java.security.NoSuchAlgorithmException;
import java.util.LinkedList;

public class Context {

    private AppData appData;


    public Context(AppData appData) {
        this.appData = appData;
    }


    public boolean createUser(String login, String password) {
        try {
            String key = AES_GCM.generateSecretKey();
            return this.appData.addUser(login, password, key);
        } catch (NoSuchAlgorithmException e) {
            return false;
        }
    }


}
